libvisio::VSDSplineStart Class Reference
Inheritance diagram for libvisio::VSDSplineStart:

## Public Member Functions

| VSDSplineStart (unsigned id, unsigned level, const std::optional< double > &x, const std::optional< double > &y, const std::optional< double > &secondKnot, const std::optional< double > &firstKnot, const std::optional< double > &lastKnot, const std::optional< unsigned > &degree)
| ~VSDSplineStart () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes

double | m_x
double | m_y
double | m_secondKnot
double | m_firstKnot
double | m_lastKnot
unsigned | m_degree

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDSplineStart()

libvisio::VSDSplineStart::VSDSplineStart | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | x,
|  | const std::optional< double > & | y,
|  | const std::optional< double > & | secondKnot,
|  | const std::optional< double > & | firstKnot,
|  | const std::optional< double > & | lastKnot,
|  | const std::optional< unsigned > & | degree )

inline

Referenced by clone().

## ~VSDSplineStart()

libvisio::VSDSplineStart::~VSDSplineStart | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDSplineStart::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDSplineStart::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_degree

unsigned libvisio::VSDSplineStart::m_degree

Referenced by clone(), handle(), and VSDSplineStart().

## m_firstKnot

double libvisio::VSDSplineStart::m_firstKnot

Referenced by clone(), handle(), and VSDSplineStart().

## m_lastKnot

double libvisio::VSDSplineStart::m_lastKnot

Referenced by clone(), handle(), and VSDSplineStart().

## m_secondKnot

double libvisio::VSDSplineStart::m_secondKnot

Referenced by clone(), handle(), and VSDSplineStart().

## m_x

double libvisio::VSDSplineStart::m_x

Referenced by clone(), handle(), and VSDSplineStart().

## m_y

double libvisio::VSDSplineStart::m_y

Referenced by clone(), handle(), and VSDSplineStart().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp